Bug 1701930 - yawn fails to install due to missing dependencies
Summary: yawn fails to install due to missing dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yawn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-04-22 13:28 UTC by Miro Hrončok
Modified: 2019-05-21 08:10 UTC (History)
3 users (show)

Fixed In Version: yawn-0-0.30.20140318svn632.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 08:10:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 13:28:20 UTC
$ mock -r fedora-29-x86_64 install yawn
...
Error: 
 Problem: conflicting requests
  - nothing provides pywbem needed by yawn-0-0.27.20140318svn632.fc29.noarch


$ mock -r fedora-29-x86_64 install yawn-server
...   
Error: 
 Problem: package yawn-server-0-0.27.20140318svn632.fc29.noarch requires yawn, but none of the providers can be installed
  - conflicting requests
  - nothing provides pywbem needed by yawn-0-0.27.20140318svn632.fc29.noarch


Please fix this or retire the package.

Comment 1 Miro Hrončok 2019-04-29 20:06:23 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Vitezslav Crhonek 2019-05-02 09:32:19 UTC
I probably won't do the fix myself. Let's see whether upstream plans to do something with it:
https://github.com/pywbem/yawn/issues/1


Note You need to log in before you can comment on or make changes to this bug.